# class Racc::ParserFileGenerator::Params

### Attributes

classname[RW]
filename[RW]
header[RW]
inner[RW]
interpreter[RW]
superclass[RW]

### Public Class Methods

bool_attr(name) click to toggle source

    # File lib/racc/parserfilegenerator.rb, line 23
          def self.bool_attr(name)
            module_eval(<<-End)
              def #{name}?
                @#{name}
              end

              def #{name}=(b)
                @#{name} = b
              end
            End
          end

new() click to toggle source

    # File lib/racc/parserfilegenerator.rb, line 51
    def initialize
      # Parameters derived from parser
      self.filename = nil
      self.classname = nil
      self.superclass = 'Racc::Parser'
      self.omit_action_call = true
      self.result_var = true
      self.header = []
      self.inner  = []
      self.footer = []

      # Parameters derived from command line options
      self.debug_parser = false
      self.convert_line = true
      self.convert_line_all = false
      self.embed_runtime = false
      self.make_executable = false
      self.interpreter = nil
    end